(*
 Sunae Seo, The LET Project, KAIST

 Copyright(c) 2001 Research On Program Analysis System
 National Creative Research Initiative Center
 Korea Advanced Institute of Science & Technology
 http://ropas.kaist.ac.kr

 All rights reserved. This file is distributed under the terms of
 an Open Source License.
*)

fun run () =
  (let
     val _ = Arg.parse CpConfig.arglist CpConfig.anony CpConfig.usage
     val file_channel = open_in !CpConfig.filename  
     val lexbuf = Lexing.from_channel file_channel 
     val pgm = Parser.goal Lexer.token lexbuf
  in
    print_string "Parsing Completed\n";
    if !CpConfig.on_print_parsetree 
      then (print_newline();
            print_string "=====[Abstract Syntax Tree]==== "; 
	    print_newline (); print_newline ();
            PpParseTree.pp_top pgm)
  end)  handle v => PrintErr.handle_exn v  

val _ = Printexc.catch run () 
