(*
 Sunae Seo, The LET Project, KAIST

 Copyright(c) 2001 Research On Program Analysis System
 National Creative Research Initiative Center
 Korea Advanced Institute of Science & Technology
 http://ropas.kaist.ac.kr

 All rights reserved. This file is distributed under the terms of
 an Open Source License.
*)


structure PrintErr =
struct

exception Lex_err of string * int

val linenum = ref 1
fun incr_ln () = linenum++
fun decr_ln () = linenum--
fun get_ln () = !linenum

fun handle_exn (Lex_err (s,i)) = prerr_string ">> lex error in line ";
                                   prerr_int i; 
                                   prerr_string ": ";
                                   prerr_endline s
|  handle_exn  (Parsing.Parse_error) = prerr_string ">> syntax error in line "; 
                                   prerr_int !linenum;
				   prerr_newline ()
|  handle_exn  (Arg.Bad s) = prerr_string (">> file format error: " ^ s);
			     prerr_newline ()
|  handle_exn  v = raise v 


end

